package help

import (
	"git.lxtend.com/qqbot/constants"
	"git.lxtend.com/qqbot/handler"
	"git.lxtend.com/qqbot/model"
)

func init() {
	handler.RegisterHandler("!help", help, constants.LEVEL_BANNED)
}

func help(msg model.Message) (reply model.Reply) {
	helpInfo := `以下是支持的功能：`
	for k, v := range handler.HelpInforms {
		helpInfo += "\n" + k + " : " + v
	}
	return model.Reply{
		ReplyMsg:       helpInfo,
		ReferOriginMsg: false,
		FromMsg:        msg,
	}
}
