package main

import (
	"git.lxtend.com/qqbot/handler/ticket"
	"git.lxtend.com/qqbot/health"
	"github.com/gin-gonic/gin"
)

func startRouter() {
	ginServer := gin.New()
	healthEngine := ginServer.Group("/health")
	healthEngine.GET("/ping", health.HealthHandler)
	ticketEngine := ginServer.Group("/ticket")
	ticketEngine.GET("", ticket.TicketHandler)
	go ginServer.Run(":3434")
}
